Subject: Re: [XCON] AD review: draft-ietf-xcon-examples-06

From: Mary Barnes <[email-masked]>
Date: Tue, 26 Oct 2010 15:54:52 -0500

Robert and WG,

We have updated the document to address the issues raised below:
http://www.ietf.org/internet-drafts/draft-ietf-xcon-examples-07.txt

As well, there are some updates to the call flows themselves.  The
diff is a useful way to review the changes:
http://tools.ietf.org/wg/xcon/draft-ietf-xcon-examples/draft-ietf-xcon-examples-07-from-06.diff.html

I have a few responses inline below [MB] clarifying some of the changes made.

Regards,
Mary.

On Tue, Sep 14, 2010 at 11:02 AM, Robert Sparks <[email-masked]> wrote:
> Summary: There are a few issues to address before moving this document
>         to IETF Last Call
>
> * This document is not as easy to read as the ccmp and data model
>  documents. I suggest an additional editorial pass focusing on
>  tightening the prose.
[MB] A fair number of editorial clarifications have been done per the
diff, hopefully addressing this concern. [/MB]
>
> * Section 4 (Working with CCMP) states the document has "recommendations
>  from an implementation point of view". I'm not finding those. Could
>  they be called out in a separate "Advice to Implementers" section, or
>  did they all move to the CCMP document already (in which case, the above
>  statement should be removed)?
[MB] Per the diff, this has been changed to "implementation considerations"
>
> * The end of 4.1 talks about a "placeholder wildcard". It should explicitly
>  mention AUTO_GENERATE_X and point to the definition of the mechanism in
>  the CCMP document.
>
> * The end of section 4.3 moves into the realm of speculation, particularly
>  around Figure 3. This needs to be more clearly labeled as speculation, and
>  not recommendation or specification. The section is motivating different
>  standards work rather than showing examples of implementing what's already
>  been specified. I strongly suggest removing it from the draft and
>  re-introducing one or more concrete proposals separately, calling out
>  at most in this draft that other mechanisms are possible and are the
>  subject of future standardization discussions.
[MB] The text has been removed and the section just discusses the use
of the SIP Event notifications per CCMP. [/MB]
>
> * Figure 5 is redundant with Figure 4 - all of the anchors for the
>  annotations are already in Figure 4. I suggest deleting Figure 5.
>
> * Why doesn't the example in section 6.2 use the mute control?
>  If that's inappropriate, it would be good to add text to this
>  section explaining why. If it is a valid alternative, please call
>  that out.
[MB] Mute control is a valid alternative and I've added a note
reflecting such. The example was actually changed from one using MUTE
control to give an example of the media manipulation in general
(waaaay long ago this was brought up (by
Cullen I think)  - this is a scenario from the XCON FW. [/MB]
>
> * Section 6.5 calls out a situation as a "(first-party join)". Where
>  is this phrase defined?
[MB] The definition for this term and third-party have been added to
the ccmp document. [/MB]
>
> * Can Section 7.2 better motivate why a sidebar is being used here instead
>  of a separate new conference?
>
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xcon
>